<cfcomponent displayname="Application" output="false" hint="Handle the applications">
	
	<!--- dynamically load an app. For demonstration purpose it is bound to the var url.app. But you can bind it
		  to the cgi.http_host --->
	<cfif isdefined("url.app") and url.app is 1>
		
		<cfscript>
		{
			this.name = "Application1";
			this.sessionmanagement=true;
			this.sessionStorage="memory";
			this.setclientcookies="yes";
			this.setdomaincookies="no"; 
			this.applicationtimeout="#createTimeSpan(1,0,0,0)#";
			this.localmode="update";
			this.web.charset="utf-8";
			this.scopeCascading="strict";
			this.Test="Test1"
		}
		</cfscript>
		
	
	<cfelse>

		<cfscript>
		{
			this.name = "Application2";
			this.sessionmanagement=true;
			this.sessionStorage="memory";
			this.setclientcookies="yes";
			this.setdomaincookies="no"; 
			this.applicationtimeout="#createTimeSpan(1,0,0,0)#";
			this.localmode="update";
			this.web.charset="utf-8";
			this.scopeCascading="strict";
			this.Test="Test2"
		}
		</cfscript>
		
	
	</cfif>




	<cffunction name="OnApplicationStart" access="public" returntype="boolean" output="false" hint="Fires when the application is first created.">
		<cfreturn true />
	</cffunction>


	<cffunction name="onRequestStart" returntype="boolean" output="false" hint="Fires when requests starts.">
		<cfreturn true />
	</cffunction>


	<cffunction name="onRequest" returnType="void" hint="Fires when requests starts.">
		<cfargument name="TargetPage" type="string" required="true" />
		<!--- place variables here to make it dynamically available to your apps--->
		<cfinclude template="#ARGUMENTS.TargetPage#" />
	</cffunction>

	<cffunction name="onRequestEnd" returnType="void"  output="false" hint="Fires when requests ends.">
		<!--- no return value here--->
	</cffunction>
</cfcomponent>

